package com.maintain.business.service;

import com.maintain.business.domain.ErpExamineProject;
import com.maintain.business.domain.vo.ErpExamineProjectVo;
import com.maintain.business.domain.bo.ErpExamineProjectBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 检验项目Service接口
 *
 * @author liushuai
 * @date 2025-03-28
 */
public interface IErpExamineProjectService {

    /**
     * 查询检验项目
     */
    ErpExamineProjectVo queryById(Long id);

    /**
     * 查询检验项目列表
     */
    TableDataInfo<ErpExamineProjectVo> queryPageList(ErpExamineProjectBo bo, PageQuery pageQuery);

    /**
     * 查询检验项目列表
     */
    List<ErpExamineProjectVo> queryList(ErpExamineProjectBo bo);

    /**
     * 新增检验项目
     */
    Boolean insertByBo(ErpExamineProjectBo bo);

    /**
     * 修改检验项目
     */
    Boolean updateByBo(ErpExamineProjectBo bo);

    /**
     * 校验并批量删除检验项目信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
